Multi Stop ride

👍

Duplications

to prevent booking duplicates you can send X-Request-ID ( value: string) in the header

Request

Request URL

--request POST 'https://business-api.gett.com/v1/orders?businessId={businessid}
NameTypeDescription
businessIdUUIDAccount identifier obtained from Gett while generating credentials
categorystring
  • *Transportation** for a ride
  • *Delivery** to send a package
product_IDstringUUID corresponds to available product in the pickup. Obtained from Get Products request.
scheduled_atstring

The schedule time in format ISO8601: yyyy-mm-ddThh:mm:ss+Z
(example: 2017-12-05T18:59:23+03:00).

If the parameter is not passed it will default to on-demand

quote_idstringUnique id for pre-requested price estimation. Obtained from Price estimation request
stopsarrayThe object containing the information about the stops/waypoints, for the ride.
stops[x].typestringRepresents the type of the stops:
  • *origin
    on_going
    destination**
stops[x].actionsarrayThe object contains the passengers info and the relationship for the specific stops e.g. pickup/drop-off in stops
stops[x].actions.typestringRepresents the type of the action to be performed by the driver:
  • *pick_up
    stop_by
    drop_off**
stops[x].actions.userobjectA JSON dictionary containing the the passenger name and phone number
stops[x].actions.user. namestringPassenger name
stops[x].actions.user. phonestringThe phone number of the rider.
NOTE:phone numbers must be passed in the international format (without "+" sign) as specified in RFC3966.
stops[x].locationobjectA JSON dictionary containing the the location details
stops[x].location.latfloatLocation latitude
stops[x].location.lngfloatLocation longitude
  • *stops[x].location.full_address** (optional)
stringAddress display name
  • *stops[x].location.address** (optional)
objectA JSON dictionary containing the the address details
  • *stops[x].location.address.address_place** (optional)
objectAddress provider details
  • *stops[x].location.address.id**(optional)
stringAddresses id from provider e.g google provider id
  • *stops[x].location.address.provider** (optional)
stringProvider name, Gett supports different address providers e.g GOOGLE, POSTCODE, and HERE
  • *stops[x].location.address.city** (optional)
stringCity name for stop point address
  • *stops[x].location.address.country** (optional)
stringCountry name for stop point address
  • *stops[x].location.address.full_address** (optional)
stringAddress in one string for stop point
  • *stops[x].location.address.house** (optional)
stringHouse number for stop point address
  • *stops[x].location.address.notes** (optional)
stringNotes for stop point
  • *stops[x].location.address.postcode** (optional)
stringPostal code for stop point address
  • *stops[x].location.address.state** (optional)
stringState for stop point address
  • *stops[x].location.address.street** (optional)
stringStreet name for stop point address
  • *note_to_driver** (optional)
stringMessage to the driver up to 100 chars
  • *references** (optional)
object

Additional fields for ride - for some clients this object is mandatory. review company settings

if your are integrating on behalf of a client, be mindful that the client can add mandatory reference fields at any moment from the web platform and the integration should be able to support it

  • *reference[x].id** (optional)
intAdditional field identificator
  • *reference[X].value** (optional)
stringAdditional field value
flight_detailsobjectflight details are required for airport pickups, mainly for pre-booked orders
flight_details.flight_numberstringIATA flight code e.g. "BA164"
flight_details.flight_trackingboolean

if TRUE the flight will be tracked and rider scheduled_at will be adjusted automatically

flight details and ride scheduled time must be valid and aligned

flight_details.offset_from_flightint

the time in minutes you have added after flight landing time, if provided the system will keep this time as additional minutes after the new landing time, if the flight landing time was updated/changed.

e.g.
flight lands at 10:00
the requested scheduled_at is 10:50
the offset value must be set to 50 if flight tracking is set to TRUE

if the offset was set but not added to scheduled_at, it won't be added automatically at booking but only in case of landing time change

❗️

please note

Two or more consecutive addresses on the route can't be identical.

❗️

Roaming/global rides

To request a global/roaming ride (out of the client's country of origin) providing full address breakdown is mandatory

Single Passenger Ride Request

curl --location --request POST 'https://business-api.gett.com/v1/orders?businessId=<companyUUID>' \
--header 'Authorization: Bearer <access token>' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--data-raw '{
    "category": "transportation",
    "product_id": "8d50ef79-2530-4924-b89e-10ed9f035d8b",
    "scheduled_at": "2023-01-29T17:00:00+02:00",
    "stops": [
        {
            "type": "origin",
            "actions": [
                {
                    "type": "pick_up",
                    "user": {
                        "name": "passenger 1",
                        "phone": "972000000000"
                    }
                }
            ],
            "location": {
                "lat": 32.101128,
                "lng": 34.856651,
                "address": {
                    "full_address": "Shlomo Shmeltzer Road/HaShfela, Petah Tikva, Israel"
                }
            }
        },
        {
            "type": "on_going",
            "actions": [
                {
                    "type": "stop_by",
                    "user": {
                        "name": "passenger 1",
                        "phone": "972000000000"
                    }
                }
            ],
            "location": {
                "lat": 32.047803,
                "lng": 34.759112,
                "address": {
                    "full_address": "למרטין 11-1, תל אביב יפו"
                }
            }
        },
        {
            "type": "destination",
            "actions": [
                {
                    "type": "drop_off",
                    "user": {
                        "name": "passenger 1",
                        "phone": "972000000000"
                    }
                }
            ],
            "location": {
                "lat": 31.984621,
                "lng": 34.951736,
                "address": {
                    "full_address": "Bet Nehemya Junction, Israel"
                }
            }
        }
    ],
    "note_to_driver": "another test",
    "references":[
        {
            "id":8946,
            "value":"Product"
        },
        {
            "id":9557,
            "value":"Product"
        }
    ]
}'

Single Passenger Ride Response

{
    "id": 2334,
    "status": "Pending",
    "business_id": "6eaaa6cf-3bdc-4393-a8cf-22b500f58006",
    "category": "transportation",
    "product_id": "8d50ef79-2530-4924-b89e-10ed9f035d8b",
    "scheduled_at": "2023-01-29T17:00:00+02:00",
    "quote_id": "",
    "stops": [
        {
            "type": "origin",
            "actions": [
                {
                    "type": "pick_up",
                    "user": {
                        "name": "passenger 1",
                        "phone": "972000000000"
                    }
                }
            ],
            "location": {
                "lat": 32.101128,
                "lng": 34.856651,
                "address": {
                    "full_address": "Shlomo Shmeltzer Road/HaShfela, Petah Tikva, Israel"
                }
            }
        },
        {
            "type": "on_going",
            "actions": [
                {
                    "type": "stop_by",
                    "user": {
                        "name": "passenger 1",
                        "phone": "972000000000"
                    }
                }
            ],
            "location": {
                "lat": 32.047803,
                "lng": 34.759112,
                "address": {
                    "full_address": "למרטין 11-1, תל אביב יפו"
                }
            }
        },
        {
            "type": "destination",
            "actions": [
                {
                    "type": "drop_off",
                    "user": {
                        "name": "passenger 1",
                        "phone": "972000000000"
                    }
                }
            ],
            "location": {
                "lat": 31.984621,
                "lng": 34.951736,
                "address": {
                    "full_address": "Bet Nehemya Junction, Israel"
                }
            }
        }
    ],
    "payment_type": "account",
    "note_to_driver": "another test",
    "references": [
        {
            "id": 8946,
            "title": "",
            "value": "Product"
        },
        {
            "id": 9557,
            "title": "",
            "value": "Product"
        }
    ],
    "requested_at": "2022-12-24T15:33:49+00:00"
}